/* About Section */
.about {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #111111;
    overflow: hidden;
    padding-top: 135px;
    padding-bottom: 130px;
    font-size: 2.5rem;
}

.about-container {
    display: flex;
    align-items: center;
    gap: 150px;
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

/* Image Styling */
/* About Image - Same as Hero Section */
.about-image {
    width: 300px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    perspective: 1000px; /* 3D depth */
}

.about-image img {
    width: 380px;
    height: auto;
    border-radius: 100%; /* Perfectly Circular Image */
    border: 0px solid #ce0d0d;
    filter: brightness(1) contrast(1) drop-shadow(0 0 15px #ce0d0d);
    transition: transform 0.4s ease-in-out, filter 0.4s ease-in-out;
}

/* Hover Effect - Same as Hero */
.about-image img:hover {
    transform: scale(1.08);
    filter: brightness(1) contrast(1) drop-shadow(0 0 25px #ce0d0d);
}


/* Text Content */
.about-content h2 {
    font-size: 36px;
    font-weight: bold;
    color: white;
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.about-content h2 span {
    color: #ce0d0d;
}

.about-content h3 {
    margin-bottom: 15px;
    font-size: 28px;
    font-weight: bold;
    color: white;
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 1s ease-out 0.3s, transform 1s ease-out 0.3s;
}

.about-content h3 span {
    color: #ce0d0d;
}

.about-content p {
    font-size: 15px;
    color: #ffffff;
    max-width: 550px;
    text-align: justify;
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 1s ease-out 0.6s, transform 1s ease-out 0.6s;
}

/* Button */
.btn {
    margin-top: 25px;
    margin-right: 13px;
    border: 2px solid #ce0d0d;
    background: #ce0d0d;
    color: #000000;
    padding: 6px 35px;
    font-size: 13px;
    font-weight: 600;
    border-radius: 40px;
    cursor: pointer;
    transition: 0.3s;
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 1s ease-out 0.9s, transform 1s ease-out 0.9s;
}

.btn:hover {
    background: #ce0d0d;
    color: white;
    box-shadow: 0 0 10px #ce0d0d, 0 0 20px #ce0d0d, 0 0 40px #ce0d0d;
}

/* ==== Scroll Trigger Animation ==== */
.about.show .about-container {
    opacity: 1;
    transform: translateY(0);
}

.about.show .about-content h2,
.about.show .about-content h3,
.about.show .about-content p,
.about.show .btn {
    opacity: 1;
    transform: translateX(0);
}
